> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.ipxo.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Show Cart Payment Method

> Show cart payment method.



## OpenAPI

````yaml openapi/ecommerce.yaml get /public/{user_id}/cart/{cart_uuid}/payment-method
openapi: 3.0.1
info:
  title: Ecommerce API
  description: ''
  version: '1.0'
servers:
  - url: https://apigw.ipxo.com/ecommerce
security:
  - bearerAuth: []
tags:
  - name: User
    description: ''
  - name: Cart
    description: ''
  - name: Stripe
    description: ''
  - name: Address
    description: ''
  - name: Gateway
    description: ''
  - name: Invoice
    description: ''
  - name: Order
    description: ''
  - name: Payment
    description: ''
  - name: Product
    description: ''
  - name: Subscription
    description: ''
  - name: Customer
    description: ''
  - name: Projection
    description: ''
  - name: Stripe EU
    description: ''
  - name: Vat
    description: ''
  - name: Legal
    description: ''
paths:
  /public/{user_id}/cart/{cart_uuid}/payment-method:
    get:
      tags:
        - Cart
      summary: Show Cart Payment Method
      description: Show cart payment method.
      operationId: showCartPaymentMethod
      parameters:
        - name: user_id
          in: path
          description: The ID of the user.
          required: true
          schema:
            type: string
          example: molestias
        - name: cart_uuid
          in: path
          description: ''
          required: true
          schema:
            type: string
          example: 89f7878b-aa4c-30bb-9a8c-54e9a38ab2d4
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: object
                    properties:
                      uuid:
                        type: string
                        example: 6f19f9cd-6c45-3c2c-8c78-22fa56b7a960
                      type:
                        type: string
                        example: card
                      is_default:
                        type: boolean
                        example: true
                example:
                  data:
                    uuid: 6f19f9cd-6c45-3c2c-8c78-22fa56b7a960
                    type: card
                    is_default: true
              example:
                data:
                  uuid: 6f19f9cd-6c45-3c2c-8c78-22fa56b7a960
                  type: card
                  is_default: true
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````